


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: InstantAttributeConverter</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.repository.jpa</a> ]
</div>

<h1>Coverage Summary for Class: InstantAttributeConverter (com.dema.timeregistration.repository.jpa)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">InstantAttributeConverter</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.7%
  </span>
  <span class="absValue">
    (2/ 3)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.7%
  </span>
  <span class="absValue">
    (2/ 3)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.repository.jpa;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import javax.persistence.AttributeConverter;
<i>4</i>&nbsp;import javax.persistence.Converter;
<i>5</i>&nbsp;import java.sql.Timestamp;
<i>6</i>&nbsp;import java.time.Instant;
<i>7</i>&nbsp;
<i>8</i>&nbsp;/**
<i>9</i>&nbsp; * For converting Java 8 Instant to TimeStamp
<i>10</i>&nbsp; */
<i>11</i>&nbsp;@SuppressWarnings(&quot;unused&quot;)
<i>12</i>&nbsp;@Converter(autoApply = true)
<b class="fc"><i>13</i>&nbsp;public class InstantAttributeConverter implements AttributeConverter&lt;Instant, Timestamp&gt; {</b>
<i>14</i>&nbsp;    @Override
<i>15</i>&nbsp;    public Timestamp convertToDatabaseColumn(Instant instant) {
<b class="fc"><i>16</i>&nbsp;        return (instant == null ? null : Timestamp.from(instant));</b>
<i>17</i>&nbsp;    }
<i>18</i>&nbsp;
<i>19</i>&nbsp;    @Override
<i>20</i>&nbsp;    public Instant convertToEntityAttribute(Timestamp sqlTimestamp) {
<b class="nc"><i>21</i>&nbsp;        return (sqlTimestamp == null ? null : sqlTimestamp.toInstant());</b>
<i>22</i>&nbsp;    }
<i>23</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
